`GriffonAddonDescriptor.java`
`01 /* 02 * Copyright 2010-2012 the original author or authors. 03 * 04 * Licensed under the Apache License, Version 2.0 (the "License"); 05 * you may not use this file except in compliance with the License. 06 * You may obtain a copy of the License at 07 * 08 * http://www.apache.org/licenses/LICENSE-2.0 09 * 10 * Unless required by applicable law or agreed to in writing, software 11 * distributed under the License is distributed on an "AS IS" BASIS, 12 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 13 * See the License for the specific language governing permissions and 14 * limitations under the License. 15 */ 16 package griffon.core; 17 18 /** 19 * Describes an Addon artifact. 20 * 21 * @author Andres Almiray 22 * @since 0.9.2 23 */ 24 public interface GriffonAddonDescriptor { 25 /** 26 * Returns the prefix for this Addon. May be empty. 27 * 28 * @return the Addon's prefix. 29 */ 30 String getPrefix(); 31 32 /** 33 * Returns the name of the Addon. 34 * 35 * @return the Addon's name 36 */ 37 String getName(); 38 39 /** 40 * Returns the plugin name associated with this Addon 41 * 42 * @return the plugin's name 43 */ 44 String getPluginName(); 45 46 /** 47 * Returns the plugin version associated with this Addon 48 * 49 * @return the plugin's version 50 */ 51 String getVersion(); 52 53 /** 54 * Returns the Addon instance 55 * 56 * @return the Addon itself 57 */ 58 GriffonAddon getAddon(); 59 }`